{ pkgs, ... }:

{
  programs.git = {
    package = pkgs.gitAndTools.gitFull;
    enable = true;
    userName = "ElnuDev";
    userEmail = "elnu@elnu.com";
    extraConfig.pull.rebase = true;
    # Switch defaultBranch from master to main
    extraConfig.init.defaultBranch = "main";
  };
}
